//
//  AppDelegate.h
//  WindowCaptureDemo
//
//  Created by David Gelhar on 10/23/12.
//  Copyright (c) 2012 __MyCompanyName__. All rights reserved.
//

#import <Cocoa/Cocoa.h>
#import "MirroredWindow.h"
#import "PreferencesController.h"

@interface AppDelegate : NSObject <NSApplicationDelegate> 
@property(strong) MirroredWindow    *mirrorWindow;  // mirror-image window
@property(strong) PreferencesController *preferencesController;
@property(strong) NSDictionary *sourceWindowDict; // the source window it's based on
CGEventRef eventTapFunction(CGEventTapProxy proxy, CGEventType type, CGEventRef event, void *refcon);
@property float frameDelay;
@property CFMachPortRef mouseTap;

-(IBAction)showPreferences:(id)sender;
-(void) registerHotKey:(unsigned short) code withModifierFlags:(NSUInteger) flags;

- (void) beginMirroring;
- (void) endMirroring;
- (NSDictionary *)findTopWindow;
@end
