//
//  MirroredWindow.h
//  WindowCaptureDemo
//
//  Created by David Gelhar on 11/2/12.
//  Copyright (c) 2012 __MyCompanyName__. All rights reserved.
//

#import <AppKit/AppKit.h>

@interface MirroredWindow : NSWindow
@property(strong) NSDictionary *sourceWindowDict; // the source window it's based on
@property CGWindowID sourceWindowID;
+(MirroredWindow *) windowFromWindowDict:(NSDictionary *)dict;
+ (NSDictionary *)findWindow:(CGWindowID) windowID;
+ (NSRect) flippedWindowBounds:(NSDictionary *)windowDict;
+ (NSRect) flipVerticalCoordinates:(NSRect) frame;
- (BOOL) refresh;

@end
